## qtwebview-opensource-src 5.15.2

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

test_module_includes(
  WebView QWebView
)

## qtwebview-opensource-src 5.9.1

=== debian/changelog ===
qtwebview-opensource-src (5.9.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes needed.
  * Do not attempt to run tests, they work only with native backends.
  * Use debhelper compat 10 and dh_missing.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Oct 2017 00:22:53 +0700

qtwebview-opensource-src (5.9.1-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  * Initial package. (Closes: #869227)

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 21 Jul 2017 21:59:20 +0300

=== debian/control ===
Source: qtwebview-opensource-src
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Clark <sgclark@kubuntu.org>,
           Sandro Knauß <hefee@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@ubuntu.com>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10.3),
               pkg-kde-tools,
               qtbase5-private-dev (>= 5.9.1+dfsg~),
               qtdeclarative5-private-dev (>= 5.9.1~),
               qtwebengine5-dev (>= 5.9.1+dfsg-2~),
               qtwebengine5-private-dev (>= 5.9.1+dfsg-2~),
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~),
                     qttools5-dev-tools (>= 5.9.1~)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/qt/qtwebview.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebview.git
Homepage: https://doc.qt.io/qt-5/qtwebview-index.html

Package: qtwebview5-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: display web content in a QML application - Documentation
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the documentation for QtWebView.

Package: qtwebview5-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: display web content in a QML application - HTML Documentation
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the HTML documentation for QtWebView.

Package: libqt5webview5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt5webview5 (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends}
Description: display web content in a QML application - Development Files
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the development files needed to build Qt 5 applications
 using the QtWebView library.

Package: qtwebview5-examples
Architecture: any
Multi-Arch: same
Depends: libqt5webview5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: display web content in a QML application - Examples
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the examples for Qt's WebView submodule.

Package: libqt5webview5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: display web content in a QML application - Library
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the QtWebView libraries.

Package: qml-module-qtwebview
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: display web content in a QML application
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the WebView QML module.

## qtwebview-opensource-src 5.9.5

=== debian/changelog ===
qtwebview-opensource-src (5.9.5-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 15 Apr 2018 15:47:46 -0500

qtwebview-opensource-src (5.9.4-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 26 Feb 2018 17:55:38 -0600

qtwebview-opensource-src (5.9.3-0ubuntu3) bionic; urgency=medium

  * And the doc packages should be arch: all instead of following the changes
    made in the last revision.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 14 Dec 2017 16:39:25 -0600

qtwebview-opensource-src (5.9.3-0ubuntu2) bionic; urgency=medium

  * Only build on the architectures that QtWebEngine can build on.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 13 Dec 2017 22:13:56 -0600

qtwebview-opensource-src (5.9.3-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Bump build dependencies to Qt 5.9.3.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 13 Dec 2017 22:04:19 -0600

qtwebview-opensource-src (5.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Oct 2017 21:40:53 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: qtwebview-opensource-src
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Clark <sgclark@kubuntu.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
@@ -8,12 +9,12 @@
 Priority: optional
 Build-Depends: debhelper (>= 10.3),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.9.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.9.1~),
-               qtwebengine5-dev (>= 5.9.1+dfsg-2~),
-               qtwebengine5-private-dev (>= 5.9.1+dfsg-2~),
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~),
-                     qttools5-dev-tools (>= 5.9.1~)
+               qtbase5-private-dev (>= 5.9.5+dfsg~),
+               qtdeclarative5-private-dev (>= 5.9.5~),
+               qtwebengine5-dev (>= 5.9.5+dfsg~),
+               qtwebengine5-private-dev (>= 5.9.5+dfsg~),
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~),
+                     qttools5-dev-tools (>= 5.9.5~)
 Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/qt/qtwebview.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebview.git
@@ -44,7 +45,7 @@
  This package contains the HTML documentation for QtWebView.
 
 Package: libqt5webview5-dev
-Architecture: any
+Architecture: amd64 arm64 armhf i386 mipsel
 Multi-Arch: same
 Section: libdevel
 Depends: libqt5webview5 (= ${binary:Version}),
@@ -60,7 +61,7 @@
  using the QtWebView library.
 
 Package: qtwebview5-examples
-Architecture: any
+Architecture: amd64 arm64 armhf i386 mipsel
 Multi-Arch: same
 Depends: libqt5webview5 (= ${binary:Version}),
          ${misc:Depends},
@@ -74,7 +75,7 @@
  This package contains the examples for Qt's WebView submodule.
 
 Package: libqt5webview5
-Architecture: any
+Architecture: amd64 arm64 armhf i386 mipsel
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -86,7 +87,7 @@
  This package contains the QtWebView libraries.
 
 Package: qml-module-qtwebview
-Architecture: any
+Architecture: amd64 arm64 armhf i386 mipsel
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/default.mk

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

VERSION_CLEAN_UPSTREAM = $(call dpkg_late_eval,VERSION_CLEAN_UPSTREAM,echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/~.*//')

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_clean:
	dh_clean

	rm -rf doc
	rm -f src/webview/QtWebView.version.in
	rm -f qml/QtWebView/qmldir
	rm -f src/imports/qmldir
	rm -f src/webview/codeattributions.qdoc
	rm -f qml/QtWebView/plugins.qmltypes

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=" tests"

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove private headers
	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebView/$(VERSION_CLEAN_UPSTREAM)
	# And associated files
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_webview_private.pri

	# Remove example with privacy breaks (remote scripts and styles)
	rm -rfv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webchannel/chatclient-html/

	# Remove libtool-like files
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_test:
	# Tests work only with native backends, see tests/tests.pro.

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_missing:
	dh_missing --fail-missing

## qtwebview-opensource-src 5.11.1

=== debian/changelog ===
qtwebview-opensource-src (5.11.1-3) unstable; urgency=medium

  * Move libqtwebview_webengine.so from libqt5webview5-dev to libqt5webview5
    (closes: #907249).
  * Make qml-module-qtwebview depend on qml-module-qtwebengine.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 31 Aug 2018 23:30:26 +0300

qtwebview-opensource-src (5.11.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:33 -0500

qtwebview-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.5, no changes needed.
  * Bump build dependencies to 5.11.1.
  * Bump debhelper compat to 11, no changes needed.
  * Update install file for the new upstream release.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 04:40:12 -0500

qtwebview-opensource-src (5.10.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 21:02:03 -0300

qtwebview-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new upstream tarballs names.
  * Bump Qt build-dependencies to 5.10.1.
  * Update Vcs fields to point to salsa.debian.org.
  * Use dh_auto_configure provided by debhelper.
  * Add Qt_5.10 symbol to debian/libqt5webview5.symbols.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Mar 2018 12:48:07 +0300

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: qtwebview-opensource-src
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Clark <sgclark@kubuntu.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.9.5+dfsg~),
-               qtdeclarative5-private-dev (>= 5.9.5~),
-               qtwebengine5-dev (>= 5.9.5+dfsg~),
-               qtwebengine5-private-dev (>= 5.9.5+dfsg~),
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~),
-                     qttools5-dev-tools (>= 5.9.5~)
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/qt/qtwebview.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebview.git
+               qtbase5-private-dev (>= 5.11.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.11.1~),
+               qtwebengine5-dev (>= 5.11.1+dfsg~),
+               qtwebengine5-private-dev (>= 5.11.1+dfsg~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.11.1~)
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git
 Homepage: https://doc.qt.io/qt-5/qtwebview-index.html
 
 Package: qtwebview5-doc
@@ -45,7 +43,7 @@
  This package contains the HTML documentation for QtWebView.
 
 Package: libqt5webview5-dev
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt5webview5 (= ${binary:Version}),
@@ -61,7 +59,7 @@
  using the QtWebView library.
 
 Package: qtwebview5-examples
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: any
 Multi-Arch: same
 Depends: libqt5webview5 (= ${binary:Version}),
          ${misc:Depends},
@@ -75,10 +73,12 @@
  This package contains the examples for Qt's WebView submodule.
 
 Package: libqt5webview5
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: libqt5webview5-dev (<< 5.11.1-3~)
+Replaces: libqt5webview5-dev (<< 5.11.1-3~)
 Description: display web content in a QML application - Library
  Qt WebView provides a way to display web content in a QML application
  without necessarily including a full web browser stack by using
@@ -87,9 +87,9 @@
  This package contains the QtWebView libraries.
 
 Package: qml-module-qtwebview
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: qml-module-qtwebengine, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: display web content in a QML application
  Qt WebView provides a way to display web content in a QML application

## qtwebview-opensource-src 5.11.3

=== debian/changelog ===
qtwebview-opensource-src (5.11.3-2+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:27:20 +0800

qtwebview-opensource-src (5.11.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:43:59 -0300

qtwebview-opensource-src (5.11.3-1) experimental; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Dec 2018 10:44:14 -0300

qtwebview-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 17 Oct 2018 00:26:57 +0300

qtwebview-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies to 5.11.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 07 Oct 2018 18:52:31 -0500

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Scarlett Clark <sgclark@kubuntu.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Simon Quigley <tsimonq2@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.11.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.11.1~),
-               qtwebengine5-dev (>= 5.11.1+dfsg~),
-               qtwebengine5-private-dev (>= 5.11.1+dfsg~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.11.1~)
+               qtbase5-dev (>= 5.11.3+dfsg~),
+               qtbase5-private-dev (>= 5.11.3+dfsg~),
+               qtdeclarative5-private-dev (>= 5.11.3~),
+               qtwebengine5-dev (>= 5.11.3+dfsg~),
+               qtwebengine5-private-dev (>= 5.11.3+dfsg~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.11.3~)
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/default.mk

export QT_SELECT := qt5

VERSION_CLEAN_UPSTREAM = $(call dpkg_late_eval,VERSION_CLEAN_UPSTREAM,echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/~.*//')

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_clean:
	dh_clean

	rm -rf doc
	rm -f src/webview/QtWebView.version.in
	rm -f qml/QtWebView/qmldir
	rm -f src/imports/qmldir
	rm -f src/webview/codeattributions.qdoc
	rm -f qml/QtWebView/plugins.qmltypes

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove private headers
	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebView/$(VERSION_CLEAN_UPSTREAM)
	# And associated files
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_webview_private.pri

	# Remove libtool-like files
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_missing:
	dh_missing --fail-missing

## qtwebview-opensource-src 5.12.2

=== debian/changelog ===
qtwebview-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Add Qt_5.12 version tag to debian/libqt5webview5.symbols.
  * Add Build-Depends-Package field to debian/libqt5webview5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Mar 2019 23:41:30 +0300

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.11.3+dfsg~),
-               qtbase5-private-dev (>= 5.11.3+dfsg~),
-               qtdeclarative5-private-dev (>= 5.11.3~),
-               qtwebengine5-dev (>= 5.11.3+dfsg~),
-               qtwebengine5-private-dev (>= 5.11.3+dfsg~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.11.3~)
+               qtbase5-dev (>= 5.12.2+dfsg~),
+               qtbase5-private-dev (>= 5.12.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.2~),
+               qtwebengine5-dev (>= 5.12.2+dfsg~),
+               qtwebengine5-private-dev (>= 5.12.2+dfsg~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.12.2~)
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git

## qtwebview-opensource-src 5.12.4

=== debian/changelog ===
qtwebview-opensource-src (5.12.4-1) experimental; urgency=medium

  * New upstream release.
  * Make sure private headers are not installed.
  * Update debian/copyright.
  * Bump Qt build-dependencies to 5.12.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Jul 2019 20:43:15 +0300

qtwebview-opensource-src (5.12.3-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update my name/email.
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.3.
  * Use debian/clean and debian/not-installed instead of override targets.
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 May 2019 21:46:36 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: qtwebview-opensource-src
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Clark <sgclark@kubuntu.org>,
+Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
@@ -8,13 +8,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.2+dfsg~),
-               qtbase5-private-dev (>= 5.12.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.2~),
-               qtwebengine5-dev (>= 5.12.2+dfsg~),
-               qtwebengine5-private-dev (>= 5.12.2+dfsg~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.12.2~)
-Standards-Version: 4.2.1
+               qtbase5-dev (>= 5.12.4+dfsg~),
+               qtbase5-private-dev (>= 5.12.4+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.4~),
+               qtwebengine5-dev (>= 5.12.4+dfsg~),
+               qtwebengine5-private-dev (>= 5.12.4+dfsg~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.12.4~)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git
 Homepage: https://doc.qt.io/qt-5/qtwebview-index.html

## qtwebview-opensource-src 5.12.5

=== debian/changelog ===
qtwebview-opensource-src (5.12.5-1) unstable; urgency=medium

  * Make qtwebview5-examples depend on qml-module-qtwebview.
    Thanks to Mike Bird for noticing the missing dependency!
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 20:06:53 +0300

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.4+dfsg~),
-               qtbase5-private-dev (>= 5.12.4+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.4~),
-               qtwebengine5-dev (>= 5.12.4+dfsg~),
-               qtwebengine5-private-dev (>= 5.12.4+dfsg~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.12.4~)
-Standards-Version: 4.3.0
+               qtbase5-dev (>= 5.12.5+dfsg~),
+               qtbase5-private-dev (>= 5.12.5+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.5~),
+               qtwebengine5-dev (>= 5.12.5+dfsg~),
+               qtwebengine5-private-dev (>= 5.12.5+dfsg~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.12.5~)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git
 Homepage: https://doc.qt.io/qt-5/qtwebview-index.html
@@ -63,6 +63,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libqt5webview5 (= ${binary:Version}),
+         qml-module-qtwebview,
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}

## qtwebview-opensource-src 5.12.8

=== debian/changelog ===
qtwebview-opensource-src (5.12.8-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Bump Qt build-dependencies to 5.12.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Apr 2020 19:29:29 +0300

qtwebview-opensource-src (5.12.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: qtwebview-opensource-src
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
@@ -8,12 +9,12 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.5+dfsg~),
-               qtbase5-private-dev (>= 5.12.5+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.5~),
-               qtwebengine5-dev (>= 5.12.5+dfsg~),
-               qtwebengine5-private-dev (>= 5.12.5+dfsg~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.12.5~)
+               qtbase5-dev (>= 5.12.8+dfsg~),
+               qtbase5-private-dev (>= 5.12.8+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.8~),
+               qtwebengine5-dev (>= 5.12.8+dfsg-0ubuntu1),
+               qtwebengine5-private-dev (>= 5.12.8+dfsg-0ubuntu1)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.12.8~)
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_missing:
	dh_missing --fail-missing

## qtwebview-opensource-src 5.14.2

=== debian/changelog ===
qtwebview-opensource-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 13:44:04 +0300

qtwebview-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Bump debhelper-compatibility to 13:
    - Switch debhelper build dependency to debhelper-compat 13.
    - Remove debian/compat.
    - Drop dh_missing override, no longer needed.
  * Add Rules-Requires-Root field.
  * Add myself to uploaders.
  * Bump years in debian/copyright.
  * Remove build paths from .prl files for reproducibility.
  * Update debian/libqt5webview5.symbols from the current build log.

 -- Patrick Franz <patfra71@gmail.com>  Mon, 11 May 2020 15:16:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: qtwebview-opensource-src
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@debian.org>
+           Simon Quigley <tsimonq2@debian.org>,
+           Patrick Franz <patfra71@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.8+dfsg~),
-               qtbase5-private-dev (>= 5.12.8+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.8~),
-               qtwebengine5-dev (>= 5.12.8+dfsg-0ubuntu1),
-               qtwebengine5-private-dev (>= 5.12.8+dfsg-0ubuntu1)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.12.8~)
-Standards-Version: 4.4.1
+               qtbase5-dev (>= 5.14.2+dfsg~),
+               qtbase5-private-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.14.2~),
+               qtwebengine5-dev (>= 5.14.2+dfsg~),
+               qtwebengine5-private-dev (>= 5.14.2+dfsg~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.14.2~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git
 Homepage: https://doc.qt.io/qt-5/qtwebview-index.html

## qtwebview-opensource-src 5.15.2

=== debian/changelog ===
qtwebview-opensource-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:42 +0300

qtwebview-opensource-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Add support for nodoc build profile.
  * Build-depend only on the needed documentation tools, not on the large
    qttools5-dev-tools package.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Nov 2020 20:51:12 +0300

qtwebview-opensource-src (5.15.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:54:27 +0300

qtwebview-opensource-src (5.15.1-1) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Update debian/libqt5webview5.symbols from the current build log.
  * Use ${DEB_HOST_MULTIARCH} substitution in the install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 26 Sep 2020 10:54:05 -0300

=== debian/control ===
--- 
+++ 
@@ -9,19 +9,22 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.14.2+dfsg~),
-               qtbase5-private-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.14.2~),
-               qtwebengine5-dev (>= 5.14.2+dfsg~),
-               qtwebengine5-private-dev (>= 5.14.2+dfsg~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.14.2~)
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.15.2+dfsg~),
+               qtbase5-private-dev (>= 5.15.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.2~),
+               qtwebengine5-dev (>= 5.15.2+dfsg~),
+               qtwebengine5-private-dev (>= 5.15.2+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git
 Homepage: https://doc.qt.io/qt-5/qtwebview-index.html
 
 Package: qtwebview5-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
 Section: doc
@@ -34,6 +37,7 @@
  This package contains the documentation for QtWebView.
 
 Package: qtwebview5-doc-html
+Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
 Section: doc

=== debian/watch ===
version=4
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebview-everywhere-src@ANY_VERSION@@ARCHIVE_EXT@

## qtwebview-opensource-src 5.15.3

=== debian/changelog ===
qtwebview-opensource-src (5.15.3-1build1) jammy; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 10 Apr 2022 19:03:57 +0300

qtwebview-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Update email address for Patrick Franz.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Mar 2022 16:27:52 +0300

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-           Patrick Franz <patfra71@gmail.com>
+           Patrick Franz <deltaone@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.2+dfsg~),
-               qtbase5-private-dev (>= 5.15.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.2~),
-               qtwebengine5-dev (>= 5.15.2+dfsg~),
-               qtwebengine5-private-dev (>= 5.15.2+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.3+dfsg~),
+               qtbase5-private-dev (>= 5.15.3+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.3~),
+               qtwebengine5-dev (>= 5.15.3+dfsg~),
+               qtwebengine5-private-dev (>= 5.15.3+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/qtwebview-everywhere-opensource-src-([^-]*)\.tar\.xz

## qtwebview-opensource-src 5.15.6

=== debian/changelog ===
qtwebview-opensource-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 14 Sep 2022 20:35:25 +0300

qtwebview-opensource-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Jul 2022 21:28:24 +0300

qtwebview-opensource-src (5.15.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:37:11 +0300

qtwebview-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 May 2022 12:48:15 +0300

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.3+dfsg~),
-               qtbase5-private-dev (>= 5.15.3+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.3~),
-               qtwebengine5-dev (>= 5.15.3+dfsg~),
-               qtwebengine5-private-dev (>= 5.15.3+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>
-Standards-Version: 4.6.0
+               qtbase5-dev (>= 5.15.6+dfsg~),
+               qtbase5-private-dev (>= 5.15.6+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.6~),
+               qtwebengine5-dev (>= 5.15.6+dfsg~),
+               qtwebengine5-private-dev (>= 5.15.6+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git

## qtwebview-opensource-src 5.15.7

=== debian/changelog ===
qtwebview-opensource-src (5.15.7-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + libqt5webview5: Drop versioned constraint on libqt5webview5-dev in
      Replaces.
    + libqt5webview5: Drop versioned constraint on libqt5webview5-dev in Breaks.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Dec 2022 20:25:30 +0300

qtwebview-opensource-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:50 +0300

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.6+dfsg~),
-               qtbase5-private-dev (>= 5.15.6+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.6~),
-               qtwebengine5-dev (>= 5.15.6+dfsg~),
-               qtwebengine5-private-dev (>= 5.15.6+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>
+               qtbase5-dev (>= 5.15.7+dfsg~),
+               qtbase5-private-dev (>= 5.15.7+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.7~),
+               qtwebengine5-dev (>= 5.15.7+dfsg~),
+               qtwebengine5-private-dev (>= 5.15.7+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.7~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.7~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.7~) <!nodoc>
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
@@ -85,8 +85,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libqt5webview5-dev (<< 5.11.1-3~)
-Replaces: libqt5webview5-dev (<< 5.11.1-3~)
 Description: display web content in a QML application - Library
  Qt WebView provides a way to display web content in a QML application
  without necessarily including a full web browser stack by using

## qtwebview-opensource-src 5.15.8

=== debian/changelog ===
qtwebview-opensource-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:02:25 +0400

qtwebview-opensource-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 09 Jan 2023 20:13:47 +0400

qtwebview-opensource-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:46 +0300

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.7+dfsg~),
-               qtbase5-private-dev (>= 5.15.7+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.7~),
-               qtwebengine5-dev (>= 5.15.7+dfsg~),
-               qtwebengine5-private-dev (>= 5.15.7+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.7~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.7~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.7~) <!nodoc>
-Standards-Version: 4.6.1
+               qtbase5-dev (>= 5.15.8+dfsg~),
+               qtbase5-private-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.8~),
+               qtwebengine5-dev (>= 5.15.8+dfsg~),
+               qtwebengine5-private-dev (>= 5.15.8+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git

## qtwebview-opensource-src 5.15.10

=== debian/changelog ===
qtwebview-opensource-src (5.15.10-2build1) mantic; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 15 Sep 2023 14:11:11 +0300

qtwebview-opensource-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:19:46 +0300

qtwebview-opensource-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Jun 2023 23:49:44 +0300

qtwebview-opensource-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Apr 2023 14:04:37 +0300

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.8+dfsg~),
-               qtbase5-private-dev (>= 5.15.8+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.8~),
-               qtwebengine5-dev (>= 5.15.8+dfsg~),
-               qtwebengine5-private-dev (>= 5.15.8+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>
+               qtbase5-dev (>= 5.15.10+dfsg~),
+               qtbase5-private-dev (>= 5.15.10+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.10~),
+               qtwebengine5-dev (>= 5.15.10+dfsg~),
+               qtwebengine5-private-dev (>= 5.15.10+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview

## qtwebview-opensource-src 5.15.12

=== debian/changelog ===
qtwebview-opensource-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 25 Dec 2023 11:15:15 +0300

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.10+dfsg~),
-               qtbase5-private-dev (>= 5.15.10+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.10~),
-               qtwebengine5-dev (>= 5.15.10+dfsg~),
-               qtwebengine5-private-dev (>= 5.15.10+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>
+               qtbase5-dev (>= 5.15.12+dfsg~),
+               qtbase5-private-dev (>= 5.15.12+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.12~),
+               qtwebengine5-dev (>= 5.15.12+dfsg~),
+               qtwebengine5-private-dev (>= 5.15.12+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.12~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.12~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.12~) <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview

## qtwebview-opensource-src 5.15.13

=== debian/changelog ===
qtwebview-opensource-src (5.15.13-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 14 Mar 2024 22:43:19 +0300

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.12+dfsg~),
-               qtbase5-private-dev (>= 5.15.12+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.12~),
-               qtwebengine5-dev (>= 5.15.12+dfsg~),
-               qtwebengine5-private-dev (>= 5.15.12+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.12~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.12~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.12~) <!nodoc>
+               qtbase5-dev (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.13~),
+               qtwebengine5-dev (>= 5.15.13+dfsg~),
+               qtwebengine5-private-dev (>= 5.15.13+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview

## qtwebview-opensource-src 5.15.15

=== debian/changelog ===
qtwebview-opensource-src (5.15.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:51:45 +0300

qtwebview-opensource-src (5.15.15-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Sep 2024 12:29:17 +0300

qtwebview-opensource-src (5.15.13-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:54:49 +0300

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.13+dfsg~),
-               qtbase5-private-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.13~),
-               qtwebengine5-dev (>= 5.15.13+dfsg~),
-               qtwebengine5-private-dev (>= 5.15.13+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>
-Standards-Version: 4.6.2
+               qtbase5-dev (>= 5.15.15+dfsg~),
+               qtbase5-private-dev (>= 5.15.15+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.15~),
+               qtwebengine5-dev (>= 5.15.15+dfsg~),
+               qtwebengine5-private-dev (>= 5.15.15+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebview.git

## qtwebview-opensource-src 5.15.16+p24.04+vstable+git20241207.0446

=== debian/changelog ===
qtwebview-opensource-src (5.15.16+p24.04+vstable+git20241207.0446-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Dec 2024 04:46:19 +0000

qtwebview-opensource-src (5.15.16-0neon) noble; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtwebview-opensource-src (5.15.13-0neon) UNRELEASED; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.

  [ Jonathan Riddell ]
  * New rebase

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 31 Oct 2022 13:04:41 +0000
